Skip to content

Create product pricing

Request

Creates a new Product Pricing record. Product Pricing resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
basedOnstringrequired

Indicates whether the pricing is defined directly by sell price or derived from markup on cost.

Enum:"price""markup"
Example:"price"
costPricestring

Net cost price for the product in the billing currency, as a decimal string.

Example:"100.00"
currencystringrequired

ISO 4217 currency code for all monetary amounts in this record.

Example:"CODE-001"
dispenseFeestring

Additional dispense or handling fee applied per unit, as a decimal string.

Example:"100.00"
extensionsobject

Vendor- or practice-specific extensions.

isActiveboolean

Whether this pricing record is currently active.

Example:true
markupnumber

Markup percentage applied to costPrice to derive sellPrice when basedOn = 'markup'. Expressed as a percentage (e.g., 20 for 20%).

Example:1.23
ownershipIdstringrequired

Identifier of the ownership or business entity context for this pricing.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstringrequired

Identifier of the product this pricing applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
productPricingIdstring

Canonical identifier for this product pricing record.

Example:"123e4567-e89b-12d3-a456-426614174000"
sellPricestringrequired

Sell price excluding tax in the billing currency, as a decimal string.

Example:"100.00"
sellPriceTaxstring

Tax amount applicable to the sellPrice, as a decimal string.

Example:"100.00"
taxRateobject

Tax rate applied to this product pricing.

curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/product-pricing' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "basedOn": "price",
    "costPrice": "100.00",
    "currency": "CODE-001",
    "dispenseFee": "100.00",
    "extensions": {},
    "isActive": true,
    "markup": 1.23,
    "ownershipId": "123e4567-e89b-12d3-a456-426614174000",
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "productPricingId": "123e4567-e89b-12d3-a456-426614174000",
    "sellPrice": "100.00",
    "sellPriceTax": "100.00",
    "taxRate": {}
  }'

Responses

Product Pricing created successfully

Bodyapplication/json
basedOnstringrequired

Indicates whether the pricing is defined directly by sell price or derived from markup on cost.

Enum:"price""markup"
Example:"price"
costPricestringrequired

Net cost price for the product in the billing currency, as a decimal string.

Example:"100.00"
createdAtstring, (date-time)required

Timestamp when this pricing record was created.

Example:"2025-01-01T00:00:00.000Z"
currencystringrequired

ISO 4217 currency code for all monetary amounts in this record.

Example:"CODE-001"
dispenseFeestringrequired

Additional dispense or handling fee applied per unit, as a decimal string.

Example:"100.00"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this pricing record is currently active.

Example:true
markupnumberrequired

Markup percentage applied to costPrice to derive sellPrice when basedOn = 'markup'. Expressed as a percentage (e.g., 20 for 20%).

Example:1.23
ownershipIdstringrequired

Identifier of the ownership or business entity context for this pricing.

Example:"123e4567-e89b-12d3-a456-426614174000"
productIdstringrequired

Identifier of the product this pricing applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
productPricingIdstringrequired

Canonical identifier for this product pricing record.

Example:"123e4567-e89b-12d3-a456-426614174000"
sellPricestringrequired

Sell price excluding tax in the billing currency, as a decimal string.

Example:"100.00"
sellPriceTaxstringrequired

Tax amount applicable to the sellPrice, as a decimal string.

Example:"100.00"
taxRateobjectrequired

Tax rate applied to this product pricing.

updatedAtstring, (date-time)required

Timestamp when this pricing record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "basedOn": "price", "costPrice": "100.00", "createdAt": "2025-01-01T00:00:00.000Z", "currency": "CODE-001", "dispenseFee": "100.00", "extensions": {}, "isActive": true, "markup": 1.23, "ownershipId": "123e4567-e89b-12d3-a456-426614174000", "productId": "123e4567-e89b-12d3-a456-426614174000", "productPricingId": "123e4567-e89b-12d3-a456-426614174000", "sellPrice": "100.00", "sellPriceTax": "100.00", "taxRate": {}, "updatedAt": "2025-01-01T00:00:00.000Z" }